package types

var (
	allEnv = make(map[string]Env)
)

func init() {
	allEnv["bsc"] = Env{
		//RPC:             "https://four.rpc.48.club",
		USDT:            "0x55d398326f99059ff775485246999027b3197955",
		Permit2:         "0x31c2F6fcFf4F8759b3Bd5Bf0e1084A055615c768",
		Router:          "0x1b81D678ffb9C0263b24A97847620C99d213eB14",
		UniversalRouter: "0x1A0A18AC4BECDDbd6389559687d1A73d8927E416",
		ChainId:         56,
	}
}

type Env struct {
	//RPC  string
	USDT string
	//KLKO    string
	Permit2         string
	Router          string // v3 router.
	UniversalRouter string
	//Pool    string
	ChainId int64
}

func GetEnv(network string) Env {
	return allEnv[network]
}
